# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Catmandu.pm) perl(Catmandu/Importer.pm) perl(Catmandu/Iterable.pm) perl(Catmandu/Sane.pm) perl(Catmandu/Util.pm) perl(Data/UUID.pm) perl(Data/Util.pm) perl(Digest/SHA1.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Software/License.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(XML/LibXML.pm) perl(XML/LibXML/XPathContext.pm) perl(all.pm) perl(Throwable/Error.pm) perl(MooX/Log/Any.pm)
# END SourceDeps(oneline)
%define module_version 0.279
%define module_name Catmandu-MediaMosa
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.279
Release: alt1
Summary: Package that imports MediaMosa asset information into your application
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NJ/NJFRANCK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Catmandu::Importer::MediaMosa;

    my $importer = Catmandu::Importer::MediaMosa->new(base_url => '...' , user => '...' , password => '...' );

    my $n = $importer->each(sub {
        my $hashref = $_[0];
        # ...
    });


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES README LICENSE
%perl_vendor_privlib/C*

%changelog
* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 0.279-alt1
- initial import by package builder

